--- docs/Makefile.in.orig	2017-06-15 10:41:30.000000000 -0300
+++ docs/Makefile.in	2017-08-28 12:01:05.802707671 -0300
@@ -665,8 +665,8 @@
 install-data-hook:
 	set -e; \
 	if test -r html ; then \
-		mkdir -p $(DESTDIR)$(datadir)/doc/valgrind; \
-		cp -r html $(DESTDIR)$(datadir)/doc/valgrind; \
+		mkdir -p $(DESTDIR)$(docdir); \
+		cp -r html $(DESTDIR)$(docdir); \
 	fi
 	for f in *.1 ; do \
 		if test -r $$f ; then \
@@ -677,13 +677,13 @@
  ifeq ($(BUILD_ALL_DOCS),yes)
 	set -e; \
 	if test -r index.pdf ; then \
-		mkdir -p $(DESTDIR)$(datadir)/doc/valgrind; \
-		cp index.pdf $(DESTDIR)$(datadir)/doc/valgrind/valgrind_manual.pdf; \
+		mkdir -p $(DESTDIR)$(docdir); \
+		cp index.pdf $(DESTDIR)$(docdir)/valgrind_manual.pdf; \
 	fi
 	set -e; \
 	if test -r index.ps ; then \
-		mkdir -p $(DESTDIR)$(datadir)/doc/valgrind; \
-		cp index.ps $(DESTDIR)$(datadir)/doc/valgrind/valgrind_manual.ps; \
+		mkdir -p $(DESTDIR)$(docdir); \
+		cp index.ps $(DESTDIR)$(docdir)/valgrind_manual.ps; \
 	fi
  endif
 
